500 Internal Server Error con Lightsquid



  • Hola, estoy obteniendo el error mencionado en el subject cuándo trato de abrir las gráficas de tráfico en lightsquid.

    He seguido los pasos del post http://forum.pfsense.org/index.php/topic,7363.0.html donde se llega a la conclusión de que el archivo libperl.so debe ser reemplazado y ubicado en su correspondiente carpeta. Se dá como ruta de acceso al archivo a:

    http://diskatel.narod.ru/libperl.so

    y como procedimiento para su reemplazo a:

    cd /tmp (for ssh/console)
    fetch http://diskatel.narod.ru/libperl.so
    mv /usr/local/lib/perl5/5.8.8/mach/CORE/libperl.so /usr/local/lib/perl5/5.8.8/mach/CORE/libperl.so.orig
    mv /tmp/libperl.so /usr/local/lib/perl5/5.8.8/mach/CORE/libperl.so

    El problema es que la ruta de acceso al libperl.so ya no existe. Alguien sabe desde donde se podría bajar esta librería de perl?

    Saludos cordiales.



  • Ah! olvidé mencionar que los reoportes de texto en lightsquid funcionan bien. El problema es solo con las gráficas de tráfico…

    Saludos.



  • ¡Hola!

    En la sección lang (lenguajes de programación) de http://files.pfsense.org/packages/ tienes perl-5.8.8.tbz. Puedes bajarlo, descomprimirlo y buscar tu librería …

    Estando ahí supongo que también podrías instalar perl 5.8 como paquete en tu pfSense. No acostumbro a emplear paquetes en pfSense pero en algún pfSense de pruebas que monté me suena haberlo visto como paquete disponible.

    Saludos,

    Josep Pujadas



  • Hola Josep, y amigos del foro!

    En primer lugar saludos desde Peru, la selva de Peru!

    Bueno aun sigo teniendo ese problema de 500 internal Server Error, al momento de generar el reporte, asimismo soy aun un neofito en esto del Pfsense. Encontre en el enlace que pusiste de los packages@bellera:

    ¡Hola!

    En la sección lang (lenguajes de programación) de http://files.pfsense.org/packages/ tienes perl-5.8.8.tbz. Puedes bajarlo, descomprimirlo y buscar tu librería …

    Estando ahí supongo que también podrías instalar perl 5.8 como paquete en tu pfSense. No acostumbro a emplear paquetes en pfSense pero en algún pfSense de pruebas que monté me suena haberlo visto como paquete disponible.

    Saludos,

    Josep Pujadas

    y descargue ese archivo, que es un pack de varios archivos comprimidos, no se como instalar el Perl Completo, me puedes ayudar?, manejo el Putty y he visto que hay una opcion de upload de archivos que creo que llegan a una ruta /tmp si me equivoco por favor corrigeme.

    Muchas Gracias de Antemano.

    Saludos



  • ¡Hola!

    Hay un post sobre tu problema en http://forum.pfsense.org/index.php/topic,11594.msg63892.html

    Con pkg_info sabrás los paquetes instalados.

    Con pkg_add puedes añaidr paquetes.

    En el post hay un usuario que dice que solucionó el problema simplemente con un enlace simbólico:

    ln -s /usr/local/bin/perl /usr/bin/perl

    Este es un truco habitual en cualquier sistema Unix o Linux cuando alguna ruta no concuerda. Evidentemente esto hay que hacerlo después de estar seguro de tener perl en la máquina. Para saber dónde está:

    find / -name perl

    y esperar un ratito …

    Para más información sobre estos comandos de sistema:

    http://www.freebsd.org/cgi/man.cgi?manpath=FreeBSD+6.2-RELEASE&format=html

    Saludos,

    Josep Pujadas


Locked